Package com.independentsoft.office.odf.styles

# Enum Class GradientStyle

java.lang.Object
java.lang.Enum<GradientStyle>
com.independentsoft.office.odf.styles.GradientStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<GradientStyle>`, `Constable`

public enum GradientStyle extends Enum<GradientStyle>
Represents a rendering for a gradient.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AXIAL`
  Defines a bi-linear gradient that is also known as reflected gradient or mirrored linear gradient.
  `ELLIPSOID`
  Defines a gradient where the colors are blend along the radius from the center of an ellipsoid.
  `LINEAR`
  Defines a gradient where the colors blend along a linear vector perpendicular to the axis of the gradient.
  `NONE`
  None
  `RADIAL`
  Defines a gradient where the colors are blend along the radius from the center of a circle.
  `RECTANGULAR`
  Defines a gradient that produces a rectangular blend from the center of the rectangle to the shortest of the 4 borders.
  `SQUARE`
  Defines a gradient that produces a square blend, imitating the visual perspective in a corridor or the aerial view of a pyramid.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GradientStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static GradientStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINEAR

    public static final GradientStyle LINEAR
    Defines a gradient where the colors blend along a linear vector perpendicular to the axis of the gradient.

  - ### AXIAL

    public static final GradientStyle AXIAL
    Defines a bi-linear gradient that is also known as reflected gradient or mirrored linear gradient. It is created as a linear gradient that is mirrored (or reflected) along its axis.

  - ### RADIAL

    public static final GradientStyle RADIAL
    Defines a gradient where the colors are blend along the radius from the center of a circle. The outside of the circle is filled with the end color.

  - ### ELLIPSOID

    public static final GradientStyle ELLIPSOID
    Defines a gradient where the colors are blend along the radius from the center of an ellipsoid. The length of the semi major axis is the width of the filled area and the length of the semi minor axis is the height of the filled area. The area outside the ellipse is filled with the end color.

  - ### SQUARE

    public static final GradientStyle SQUARE
    Defines a gradient that produces a square blend, imitating the visual perspective in a corridor or the aerial view of a pyramid. Also known as "box gradient" and "pyramidal gradient".

  - ### RECTANGULAR

    public static final GradientStyle RECTANGULAR
    Defines a gradient that produces a rectangular blend from the center of the rectangle to the shortest of the 4 borders. The center of the rectangle is defined with the attributes draw:cx and draw:cy. The width of the rectangle is the width of the filled area, the height of the rectangle is the height of the filled area. The outside of the square is filled with the end color.

  - ### NONE

    public static final GradientStyle NONE
    None

- ## Method Details

  - ### values

    public static GradientStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GradientStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null